<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~bloodfollowupform.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Follow-up blood referral form registration" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<!-- 1. RCCID number + Personal number -->
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Enter RCCID Number and Personal Number</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">RCCID number</td>
				<td class="input">
					<input type="text" name="rccidNumber" id="rccidNumber"
						class="required auto-init" data-auto-init="focus" data-next-focus="personalNumber"
						style="width: 12em;" maxlength="12">
				</td>
				<td class="status" id="rccidNumber.status"></td>
				<td class="help">
					<span id="rccidNumber.message" class="message"></span>
					The RCCID number (barcode) associated with the follow-up blood sample.
				</td>
			</tr>
			<tr>
				<td class="prompt">Personal number</td>
				<td class="input">
					<input type="text" name="personalNumber" id="personalNumber"
						class="required"
						style="width: 12em;" maxlength="12">
				</td>
				<td class="status" id="personalNumber.status"></td>
				<td class="help">
					<span id="personalNumber.message" class="message"></span>
					([YY]YYMMDDZZZZ)
				</td>
			</tr>
			</table>
		</div>
	</div>

	<!-- 2. Existing patient -->
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Existing patient: Verify names and select case, if needed</div>
		<div class="step-content">
			<table class="step-form">
			<tr>
				<td class="prompt">Patient code</td>
				<td class="input" id="existing.patientCode"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Family name</td>
				<td class="input" id="existing.familyName"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">All first names</td>
				<td class="input" id="existing.allFirstNames"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Gender</td>
				<td class="input" id="existing.gender"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Date of birth</td>
				<td class="input" id="existing.dateOfBirth"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt" id="caseName.prompt">Case name</td>
				<td class="input" id="caseName.input">
					<select name="caseName" id="caseName"></select>
				</td>
				<td class="status" id="caseName.status"></td>
				<td class="help">
					<span id="caseName.message" class="message"></span>
					Select the case name to use.
				</td>
			</tr>
			</table>
		</div>
	</div>


	<!-- 3. Blood registration -->
	<div class="step" id="step-3">
		<div class="step-no">3</div>
		<div class="step-title" id="step-3-title">Create new blood</div>
		<div class="step-content">
		
			<table class="step-form">
			
				<tr id="samplingDateSection">
					<td class="prompt">Blood sampling date</td>
					<td class="input">
						<input type="text" name="samplingDate" id="samplingDate"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="samplingTime"
							style="width: 12em;" maxlength="10">
						Time <input type="text" name="samplingTime" id="samplingTime" 
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="freezerDate"
							style="width: 6em;" maxlength="5">
					</td>
					<td class="status" id="samplingDate.status"></td>
					<td class="help">
						<span id="samplingDate.message" class="message"></span>
						Date+time of blood sampling (YYYYMMDD, HHMM)
					</td>
				</tr>
				
				<tr id="freezerDateSection">
					<td class="prompt">Freezer date</td>
					<td class="input">
						<input type="text" name="freezerDate" id="freezerDate" 
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="freezerTime"
							style="width: 12em;" maxlength="10">
						Time <input type="text" name="freezerTime" id="freezerTime" 
							style="width: 6em;" maxlength="5"></td>
					<td class="status" id="freezerDate.status"></td>
					<td class="help">
						<span id="freezerDate.message" class="message"></span>
						Date+time when put in freezer (YYYYMMDD, HHMM)
					</td>
				</tr>

				<tr id="serumSection" valign="top">
					<td class="prompt">Plasma/serum</td>
					<td class="input">
						<label><input type="checkbox" name="serum" id="serum" value="1" disabled checked="checked">Yes</label>
					</td>
					<td class="status" id="serum.status"></td>
					<td class="help">If serum/plasma is available (always true).</td>
				</tr>
				
				<tr>
					<td class="prompt" id="bloodSample.prompt">Blood sample</td>
					<td class="input" id="bloodSample.input">
						<select name="bloodSample" id="bloodSample" disabled>
							<option value="FollowUp06">FollowUp06
							<option value="FollowUp12">FollowUp12
							<option value="FollowUp36">FollowUp36
						</select>
					</td>
					<td class="status" id="bloodSample.status"></td>
					<td class="help">
						<span id="bloodSample.message" class="message"></span>
					</td>
				</tr>
				<tr class="align-top">
					<td class="prompt" id="otherPathNote.prompt">Other path note</td>
					<td class="input" id="otherPathNote.input">
						<textarea name="otherPathNote" id="otherPathNote" rows="4"></textarea>
					</td>
					<td class="status" id="otherPathNote.status"></td>
					<td class="help">
						<span id="otherPathNote.message" class="message"></span>
					</td>
				</tr>
				<tr id="copyConsentSection" style="display: none;">
					<td class="prompt">Copy consent?</td>
					<td class="input">
						<input type="checkbox" name="copyConsent" id="copyConsent" value="" checked>
						<label for="copyConsent"><span id="copyConsent.text"></span></label>
					</td>
					<td class="status" id="copyConsent.status"></td>
					<td class="help"></td>
				</tr>
				</table>
			</div>
		</div>

		<div id="wizard-status"></div>

		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goupdate" title="Update" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>